function [theta] = Split_theta(p0,X,Y,part)
%learn the weights theta of Multiple kernels
%inputs: 
%outputs:
%      
tic;

L = length(Y)/part;
theta =[];

for index = 1:part
    
    Xtemp = X(L*(index-1)+1:L*index,:);
    Ytemp = Y(L*(index-1)+1:L*index);

    [theta_temp] = MK_theta(p0,Xtemp,Ytemp);

    theta = [theta; theta_temp];
    % compute the coefficients of specified kernels
end
theta = mean(theta);
toc;